Summary: Choose OS (Alternative Boot loader)
Name: chos
Version: 0.8
Release: 1
ExclusiveArch: i386
Copyright: Tuomo Valkonen
Group: Utilities/System
Source: sunsite.unc.edu:/pub/Linux/system/boot/loaders/chos-0.8.tar.gz
Patch0: chos-0.8.rh-config.patch
Packager: Antti Andreimann <anttix@cyberix.edu.ee>
Requires: tk >= 4.2

%description

 Choose-OS is a fully configurable boot loader for Linux/PC.
 It is a program which, when you boot your computer, allows you to 
 select the operating system to boot.
 Yes, it does the same stuff that LILO or OS/2 boot manager do.
 Choose-OS has, though, some nice features not found in many or none 
 other programs of this kind.

 Look 'n Coolness:
	* You can choose the colors used for each image separately.
	* You can position the menu and timer or even each image
	  separately on screen.
	* Hotkey can be specified for each image.
	* And finally, you can have a background image 
	  (plain ascii text or screendump format) !
	    
 Other stuff:
	* Emergency bootsector - If there's been a failure loading 
	  Choose-OS mapfile or 2nd stage loader, an emergency bootsector 
	  will be tried to load, if one specified.
	* An easy-to-use configuration program for X, Visual Chos. 
	* Initrd,bzImage,MBR rewrite, hda/hdb and fd0/fd1 swapping, etc.

%prep
%setup
%patch0 -p1

%build
cd sources/
make depend
make -i

%install
./Install
if [ -f /etc/chos.conf ]
then
	echo "/etc/chos.conf already exists"
else
	cp samples/chos08.conf /etc/chos.conf
	chown root.root /etc/chos.conf
	chmod 0600 /etc/chos.conf
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "PLEASE READ README BEFORE YOU TRY ANYTHING"

%files
%doc README docs samples
%config /etc/chos.conf
/sbin/chos
/sbin/showscreen
/sbin/modpart
/boot/chos.bsect
/boot/chos.loader
/boot/chos.loader-bsect
/boot/chos.loader-linux
/usr/bin/X11/vchos
/boot/bg
